System.Web 2.0.0.0 System.Enum

A value from the enumerator can be applied to the property to specify which properties from a Web Parts control can be exported. By default, the properties of a control cannot be exported and the control's property is set to . To enable exporting all properties for the control, set the value to . To export only certain properties while preventing the export of properties that contain sensitive data, you set the property value to .

A property can be marked as sensitive through the attribute.

To enable the export feature for a Web application that includes Web Parts controls, in the Web.config file for your application, you must add an attribute to the <webParts> element within the <system.web> section, as in the following markup.

<webParts enableExport="true">

</webParts>

Specifies whether all, some, or none of a control's properties can be exported.

- Field
  System.Web.UI.WebControls.WebParts.WebPartExportMode

  All of a Web Parts control's properties can be exported.

  2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.WebPartExportMode

  None of a Web Parts control's properties can be exported.

  2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.WebPartExportMode

  Only properties of a Web Parts control that have been defined as non-sensitive can be exported.

  2.0.0.0